 <?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('contest_prizes', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Contest::class)
                ->constrained()
                ->cascadeOnDelete();
            $table->string('name');
            $table->decimal('amount', 10, 2);
            $table->integer('rank')->default(1)
                ->comment('Rank of the prize, e.g., 1 for first place, 2 for second place, etc.');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('contest_prizes');
    }
};
